Name: sedna
Version: 0.5.9
Release: alt1

Summary: A Native XML DBMS Sedna
License: Apache 2.0
Group: Databases

Url: http://modis.ispras.ru/Development/sedna.htm
Source: http://modis.ispras.ru/FTPContent/%name-%version-src-linux.tar.gz

Vendor: ALT Linux Team


# Automatically added by buildreq on Tue Jun 21 2005
BuildRequires: XFree86-libs gcc-c++ ghostscript-classic ghostscript-common ghostscript-module-X ghostscript-utils glib glibc-devel-static j2sdk libgimp-print libstdc++-devel libunixODBC-devel tetex-core tetex-dvips tetex-latex

%package driver-c
Summary: C API driver for Sedna
Group: Development/Databases


%package driver-java
Summary: Java API driver for Sedna
Group: Development/Databases


%package driver-scheme
Summary: Scheme API driver for Sedna
Group: Development/Databases


%description
Sedna XML DBMS is a native full-featured data management system. Sedna is 
developed from scratch in C/C++ and Scheme. It is designed having the following
main goals in mind:
* support for all traditional DBMS features (such as update and query languages,
  query optimization, fine-grain concurrency control, various indexing 
  techniques, recovery and security),
* efficient support for unlimited volumes of document-centric and data-centric 
  XML documents that may have a complex and irregular structure,
* full support for the W3C XQuery language in such a way that the system can be
  efficiently used for solving problems from different domains such as XML data
  querying, XML data transformations and even business logic computation (in 
  this case XQuery is regarded as a general-purpose functional programming 
  language).


%description driver-c
C API driver for Sedna
Sedna XML DBMS is a native full-featured data management system. Sedna is 
developed from scratch in C/C++ and Scheme. It is designed having the following
main goals in mind:
* support for all traditional DBMS features (such as update and query languages,
  query optimization, fine-grain concurrency control, various indexing 
  techniques, recovery and security),
* efficient support for unlimited volumes of document-centric and data-centric 
  XML documents that may have a complex and irregular structure,
* full support for the W3C XQuery language in such a way that the system can be
  efficiently used for solving problems from different domains such as XML data
  querying, XML data transformations and even business logic computation (in 
  this case XQuery is regarded as a general-purpose functional programming 
  language).


%description driver-java
Java API driver for Sedna
Sedna XML DBMS is a native full-featured data management system. Sedna is 
developed from scratch in C/C++ and Scheme. It is designed having the following
main goals in mind:
* support for all traditional DBMS features (such as update and query languages,
  query optimization, fine-grain concurrency control, various indexing 
  techniques, recovery and security),
* efficient support for unlimited volumes of document-centric and data-centric 
  XML documents that may have a complex and irregular structure,
* full support for the W3C XQuery language in such a way that the system can be
  efficiently used for solving problems from different domains such as XML data
  querying, XML data transformations and even business logic computation (in 
  this case XQuery is regarded as a general-purpose functional programming 
  language).


%description driver-scheme
Scheme API driver for Sedna
Sedna XML DBMS is a native full-featured data management system. Sedna is 
developed from scratch in C/C++ and Scheme. It is designed having the following
main goals in mind:
* support for all traditional DBMS features (such as update and query languages,
  query optimization, fine-grain concurrency control, various indexing 
  techniques, recovery and security),
* efficient support for unlimited volumes of document-centric and data-centric 
  XML documents that may have a complex and irregular structure,
* full support for the W3C XQuery language in such a way that the system can be
  efficiently used for solving problems from different domains such as XML data
  querying, XML data transformations and even business logic computation (in 
  this case XQuery is regarded as a general-purpose functional programming 
  language).



%prep
%setup -q


%build
export ACTIVE_CONFIGURATION=Release
export AUTH_SWITCH=0
export DOCUMENTATION=1
export EL_DEBUG=0
export JAVA_DRIVER=1
export SQL_CONNECTION=0
export STATIC_SYS_LIBS=0
%make_build


%install
%make_install PREFIX=%buildroot%prefix dispersal_install


%files
%doc AUTHORS COPYRIGHT HISTORY LICENSE README 
%doc doc/*/*.pdf
%_bindir/se_*
%_datadir/%name-%version/examples/databases


%files driver-c
%_libdir/libsedna.a
%_includedir/libsedna.h
%_datadir/%name-%version/examples/applications/c


%files driver-java
%_datadir/java/sednadriver.jar
%_datadir/%name-%version/examples/applications/java


%files driver-scheme
%_datadir/%name-%version/driver/scheme
%_datadir/%name-%version/examples/applications/scheme


%changelog
* Tue Jun 21 2005 Andrey Fomichev <fomichev@altlinux.ru> 0.5.9-alt1
- desription for drivers was changed
- parallel compilation is allowed
- wrong dependencies were deleted
- build requirements were added

* Tue May 24 2005 Andrey Fomichev <fomichev@ispras.ru> 0.5.6-alt2
 - sedna package was divided into sedna and sedna-driver-* packages
 - some minor changes in syntax

* Mon May 23 2005 Andrey Fomichev <fomichev@ispras.ru>
- %files section significantly changed (files are now installed
  according to theirs types into /usr/bin, /usr/share, etc)

* Wed Apr 27 2005 Andrey Fomichev <fomichev@ispras.ru> 
- initial version
      
